## wavesurfer 1.8.8p5

=== debian/changelog ===
wavesurfer (1.8.8p5-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Add Rules-Requires-Root field.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Daniel Alber Costa <danielrodrc@gmail.com>  Tue, 10 Dec 2024 20:16:41 -0300

wavesurfer (1.8.8p5-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.1.3.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for wavesurfer.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Added sourceforge page as upstream homepage in d/control.
  * Switched to XDG desktop entry from Debian menu (Closes: #769858).
  * Changed d/rules to standard dh edition.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 May 2024 09:17:49 +0200

wavesurfer (1.8.8p5-2) unstable; urgency=medium

  * QA upload.
  * d/control: Drop Homepage and Vcs fields.
  * Convert to source format 3.0.
    Closes: #1007444

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 14:19:47 +0000

wavesurfer (1.8.8p5-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:26 +0100

wavesurfer (1.8.8p5-1) unstable; urgency=medium

  * This upstream release merges most of the patches we added between the
    1.8.8p4-1 and 1.8.8p4-3 releases, and adds a few extra ones for tk8.6
    support.

  * Switch the tk dependency to 8.6, tk8.5 is EOL and its maintainers want to
    drop it now.  I'm going to keep this as a versioned dependency (even though
    upstream had dropped the versioned invocation of wish with this release)
    because historically, each new tk version usually broke something that we
    needed to tweak the code to fix, so let's not let that happen silently and
    go unnoticed until it's too late in a release cycle to fix.
    Closes: #893209

  * Change the libsnack2 dependency to tcl-snack in line with the renaming of
    that package to fit the Tcl/Tk policy.  We'd stuck with libsnack2 (which
    the new package provides) to keep backports simple, and though Wheezy LTS
    isn't quite EOL yet, that's only a couple of months away now and the new
    tk8.6 dependency is already unsatisfiable there, so anyone really wanting
    to use this there is probably going to need to tweak at least that anyway.
    Closes: #725256

 -- Ron Lee <ron@debian.org>  Sun, 18 Mar 2018 05:28:06 +1030

wavesurfer (1.8.8p4-3) unstable; urgency=medium

  * Fix broken initialisation of (Prefs,PrintCmd).  This appears to have been
    silently broken since at least since 1.8.5, but now explodes with the new
    tk 8.5.15-4 when the Preferences Dialog is opened.

  * Remove the 'Defaults' and 'Apply' buttons from the Preferences Dialog.
    The SetDefaultPrefs function was 'obsoleted' between 1.8.5 and 1.8.8, so
    pressing that button just throws an error. The ApplyPreferences function
    was changed some time before 1.8.8 to clear the Info(Prefs,t,*) keys, so
    pressing it clears all the current values from the dialog, and it doesn't
    actually save them to the config file until you press Ok anyway, so avoid
    the disturbing visual and just simplify it to the choice of Ok or Cancel.

  * Fix the operation of "Make this the default configuration" when the Ogg
    plugin is present.  That option is offered if no configuration file is
    present, and before the wsurf::ogg option 't' keys have been set, so it
    fails trying to write out the preferences when Info(t,quality) is read.
    Info(quality) et al. are initialised when the plugin is first loaded
    though, so just test if the 't' keys are set before using them.
    This would silently fail "successfully" with older tk, but now it throws
    an error with more recent versions.  Closes: #738703

  * Drop some debug verbiage that ordinary users don't care to see on the
    console.

  * Make the "no drag and drop support" message explain that you can get it
    if you install tkdnd, which we now also Suggest.

  * Drop wish as an alternative to tk8.5, this doesn't currently work with
    tk8.6 and I haven't yet looked at what will be needed to make it do so.

 -- Ron Lee <ron@debian.org>  Tue, 03 Jun 2014 04:37:04 +0930

wavesurfer (1.8.8p4-2) unstable; urgency=low

  * Catch the error thrown from 'canvas lower top topmost' when no items with
    that tag exist yet, that tk versions after 8.5.11-2 now want to barf up.
    Closes: #720397  Hopefully even correctly, there's been no other feedback.

 -- Ron Lee <ron@debian.org>  Sat, 07 Sep 2013 22:37:48 +0930

wavesurfer (1.8.8p4-1) unstable; urgency=low

  * Fixes bugs with waveform scaling, the config dialog, and "selection start
    out of bounds" errors.
  * Include the Ogg Vorbis plugin in the package too.
  * Drop the version for the libsnack2 dependency now.  Closes: #659974

 -- Ron Lee <ron@debian.org>  Sun, 12 May 2013 10:24:22 +0930

wavesurfer (1.8.8p3-1) unstable; urgency=low

  * Rearrange things for the new upstream source tree layout.

 -- Ron Lee <ron@debian.org>  Sun, 08 May 2011 00:35:42 +0930

wavesurfer (1.8.5+unpacked-1) unstable; urgency=low

  * Really adopt the package this time, and decdBS it.

 -- Ron Lee <ron@debian.org>  Sat, 07 May 2011 20:00:48 +0930

wavesurfer (1.8.5-4) unstable; urgency=low

  * New maintainer.  No changes, just reuploaded after pointless RoQA removal.

 -- Ron Lee <ron@debian.org>  Mon, 02 May 2011 09:56:25 +0930

wavesurfer (1.8.5-3) unstable; urgency=high

  * QA upload.
  * Add 03_do_not_use_tile.patch with suggested workaround from upstream to
    start wavesurfer in any case in non-tile mode (Closes: #606281).


